apiVersion: org.eclipse.che/v2
kind: CheCluster
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"org.eclipse.che/v2","kind":"CheCluster","metadata":{"annotations":{},"name":"devspaces","namespace":"openshift-devspaces"},"spec":{"components":{"devEnvironments":{"disableContainerBuildCapabilities":"false"},"devWorkspace":{"runningLimit":"1000"}},"containerRegistry":{"hostname":"registry.ghatwala-411-offline.163.68.64.59.nip.io:5000"},"devEnvironments":{},"gitServices":{},"networking":{}}}
  resourceVersion: '6018703'
  name: devspaces
  uid: ba117901-b168-43f6-bd49-8334ff3481d9
  creationTimestamp: '2022-11-14T14:13:11Z'
  generation: 1
  managedFields:
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
        'f:spec':
          .: {}
          'f:components':
            .: {}
            'f:cheServer':
              .: {}
              'f:debug': {}
              'f:logLevel': {}
            'f:database':
              .: {}
              'f:credentialsSecretName': {}
              'f:externalDb': {}
              'f:postgresDb': {}
              'f:postgresHostName': {}
              'f:postgresPort': {}
              'f:pvc':
                .: {}
                'f:claimSize': {}
            'f:devWorkspace':
              .: {}
              'f:runningLimit': {}
            'f:metrics':
              .: {}
              'f:enable': {}
          'f:containerRegistry':
            .: {}
            'f:hostname': {}
          'f:devEnvironments':
            .: {}
            'f:defaultComponents': {}
            'f:defaultEditor': {}
            'f:defaultNamespace':
              .: {}
              'f:autoProvision': {}
              'f:template': {}
            'f:disableContainerBuildCapabilities': {}
            'f:secondsOfInactivityBeforeIdling': {}
            'f:secondsOfRunBeforeIdling': {}
            'f:storage':
              .: {}
              'f:pvcStrategy': {}
          'f:gitServices': {}
          'f:networking':
            .: {}
            'f:auth':
              .: {}
              'f:gateway':
                .: {}
                'f:configLabels':
                  .: {}
                  'f:app': {}
                  'f:component': {}
      manager: kubectl-client-side-apply
      operation: Update
      time: '2022-11-14T14:13:11Z'
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            'v:"oauthclients.finalizers.che.eclipse.org"': {}
        'f:status':
          .: {}
          'f:cheURL': {}
          'f:cheVersion': {}
          'f:postgresVersion': {}
      manager: manager
      operation: Update
      time: '2022-11-14T14:14:25Z'
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:devfileRegistryURL': {}
          'f:pluginRegistryURL': {}
      manager: manager
      operation: Update
      subresource: status
      time: '2022-11-14T14:14:49Z'
  namespace: openshift-devspaces
  finalizers:
    - checluster.che.eclipse.org
    - cheGateway.clusterpermissions.finalizers.che.eclipse.org
    - cheWorkspaces.clusterpermissions.finalizers.che.eclipse.org
    - namespaces-editor.permissions.finalizers.che.eclipse.org
    - devWorkspace.permissions.finalizers.che.eclipse.org
    - oauthclients.finalizers.che.eclipse.org
spec:
  components:
    cheServer:
      debug: false
      logLevel: INFO
    dashboard: {}
    database:
      credentialsSecretName: postgres-credentials
      externalDb: false
      postgresDb: dbche
      postgresHostName: postgres
      postgresPort: '5432'
      pvc:
        claimSize: 1Gi
    devWorkspace:
      runningLimit: '1000'
    devfileRegistry: {}
    imagePuller:
      enable: false
      spec: {}
    metrics:
      enable: true
    pluginRegistry: {}
  containerRegistry:
    hostname: 'registry.ghatwala-411-offline.163.68.64.59.nip.io:5000'
  devEnvironments:
    defaultComponents:
      - container:
          image: >-
            registry.redhat.io/devspaces/udi-rhel8@sha256:02dec566ee0537e7110c75c7f0371a538c37bd052670817c962d60b958e455d1
          sourceMapping: /projects
        name: universal-developer-image
    defaultEditor: che-incubator/che-code/insiders
    defaultNamespace:
      autoProvision: true
      template: <username>-devspaces
    disableContainerBuildCapabilities: true
    secondsOfInactivityBeforeIdling: 1800
    secondsOfRunBeforeIdling: -1
    storage:
      pvcStrategy: per-user
  gitServices: {}
  networking:
    auth:
      gateway:
        configLabels:
          app: che
          component: che-gateway-config
status:
  cheURL: ''
  cheVersion: ''
  devfileRegistryURL: >-
    https://devspaces.apps.ghatwala-411-offline.163.68.64.59.nip.io/devfile-registry
  pluginRegistryURL: >-
    https://devspaces.apps.ghatwala-411-offline.163.68.64.59.nip.io/plugin-registry/v3
  postgresVersion: '13.7'
